# $Revision: 1.5.2.1 $, $Date: 2003/03/13 00:56:43 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Crypt
%define	pnam	GeneratePassword
Summary:	Crypt::GeneratePassword - generate secure random pronounceable passwords
Summary(pl):	Crypt::GeneratePassword - generuj bezpieczne, losowe, wymawialne hasa
Name:		perl-Crypt-GeneratePassword
Version:	0.02
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::GeneratePassword generates random passwords that are (more or less)
pronounceable.  Unlike Crypt::RandPasswd, it doesn't use the FIPS-181
NIST standard, which is proven to be insecure.  It does use a similar
interface, so it should be a drop-in replacement in most cases.

%description -l pl
Crypt::GeneratePassword generuje losowe hasa, (lepiej lub gorzej)
wymawialne.  W odrnieniu od Crypt::RandPasswd, nie uywa on standardu
FIPS-181 NIST, ktry -- jak udowodniono -- nie jest bezpieczny.  Uywa za
to podobnego interfejsu, wic zastpowanie w wikszoci przypadkw
powinno by bezproblemowe.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README
%{perl_sitelib}/%{pdir}/*.pm
%{perl_sitelib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-GeneratePassword.spec,v $
Revision 1.5.2.1  2003/03/13 00:56:43  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/25 00:37:42  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:28:51  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/17 07:50:37  kloczek
- (auto)updated to 0.02.

Revision 1.2  2002/09/09 13:39:31  radek
- pl summary/description; release 2

Revision 1.1  2002/09/08 15:51:10  radek
- new, STBR

